package com.bonus.canteen.core.account.service;

import java.util.List;
import com.bonus.canteen.core.account.domain.AccCard;

/**
 * 人员卡片资料Service接口
 * 
 * @author xsheng
 * @date 2025-04-20
 */
public interface IAccCardService {
    /**
     * 查询人员卡片资料
     * 
     * @param id 人员卡片资料主键
     * @return 人员卡片资料
     */
    public AccCard selectAccCardById(Long id);

    /**
     * 查询人员卡片资料列表
     * 
     * @param accCard 人员卡片资料
     * @return 人员卡片资料集合
     */
    public List<AccCard> selectAccCardList(AccCard accCard);

    /**
     * 新增人员卡片资料
     * 
     * @param accCard 人员卡片资料
     * @return 结果
     */
    public int insertAccCard(AccCard accCard);

    /**
     * 修改人员卡片资料
     * 
     * @param accCard 人员卡片资料
     * @return 结果
     */
    public int updateAccCard(AccCard accCard);

    /**
     * 批量删除人员卡片资料
     * 
     * @param ids 需要删除的人员卡片资料主键集合
     * @return 结果
     */
    public int deleteAccCardByIds(Long[] ids);

    /**
     * 删除人员卡片资料信息
     * 
     * @param id 人员卡片资料主键
     * @return 结果
     */
    public int deleteAccCardById(Long id);
}
